petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMLabelDistribute

Create a new label pushed forward over the PetscSF

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelDistribute(DMLabel label, PetscSF sf, DMLabel *labelNew)

Collective on sf

### Input Parameters

| label | - the DMLabel
| sf | - the map from old to new distribution

### Output Parameter

labelnew -the new redistributed label

### See Also

DMLabelCreate(), DMLabelGetValue(), DMLabelSetValue(), DMLabelClearValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages